/**
 * @theme Drº Danilo galante
 * @version 1.0
 * @author BMA Soluções Digitais
 * @site https://bmasolucoesdigitais.com.br/
*/

@import url('https://fonts.googleapis.com/css2?family=Fira+Sans:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900&family=Roboto:ital,wght@0,100;0,300;0,400;0,500;0,700;0,900;1,100;1,300;1,400;1,500;1,700;1,900&display=swap');

:root {
    --color_1: #008A7A;
    --color_2: #66B9AF;
    --color_3: #0c1817;

    --color_1_trans: #0065CA91;
    --color_2_trans: #FF7B0091;
    --color_3_trans: #1C8A0091;

    --color_lestras_1: #000000;
    --color_lestras_2: #ffffff;
    --color_placeholder: #777777;

    --background_1: #FFFFFF;
    --background_1_trans: #ffffff00;
    --background_2: #F7F7F7;
    --background_3: #0c1817;

    --rounded: .5rem;
    --boders: #FFFFFF33;
  
    --shadow: 5px 5px 10px #00000010;
    --shadow_hover: 5px 5px 10px #00000033;

    --btn_color: #ffffff;
    --btn_color_hover: #ffffff;
    --btn_border: #0000001a;
    --btn_radius: .3rem;
    --btn_shadow: 5px 5px 10px #0000001a;
    --btn_shadow_hover: inset 5px 5px 10px #0000001a;

    --scrollbar_fundo: initial;
    --scrollbar_color: #777777;
}

html {
    scroll-behavior: smooth;
    scroll-padding-top: 5rem;
    height: 100%;
}

body {
    background: var(--background_1);
    min-height: 100%;
    font: 400 1rem/1.4 "Fira Sans", sans-serif !important;
    scrollbar-color: var(--scrollbar_color) var(--scrollbar_fundo);
    overflow: overlay;
    scrollbar-width: thin;
    color: var(--color_lestras_1) !important;
}

body.no_scroll {
    overflow: hidden;
}

body::after {
    content: '';
    position: fixed;
    top: 0; left: 0; bottom: 0; right: 0;
    inset: 0;
    width: 100%;
    height: 100%;
    z-index: -1;
    opacity: 0;
    background: #000000;
    transition: all .4s ease-in-out;
}

body.blur::after {
    opacity: .7;
    z-index: 999;
}

body::-webkit-scrollbar-track {
    background-color:var(--scrollbar_fundo)
}

body::-webkit-scrollbar-thumb {
    background-color:var(--scrollbar_color);
    border-radius:.25rem
}

body::-webkit-scrollbar {
    width: .6rem;
    height: .6rem;
}

img {
    max-width: 100%;
    height: auto;
}

li {
    list-style-type: none;
}

a {
    cursor: pointer;
    text-decoration: none !important;
}

textarea {
    resize: none !important;
}

::placeholder {
    color: var(--color_placeholder) !important;
}

*::selection {
    background: var(--color_1) !important;
    color: var(--color_lestras_2) !important;
}

#tela_carregamento {
    position: fixed;
    top: 0;right: 0;bottom: 0;left: 0;
    inset: 0;
    width: 100%;
    height: 100%;
    padding: 30px;
    background: var(--background_1);
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    z-index: 99999;
    opacity: 1;
    transition: opacity .3s linear;
}

#tela_carregamento.sumir {    
    opacity: 0;
}

#tela_carregamento::after {
    content: '';
    display: block;
    width: 100%;
    height: 100%;
    max-width: 150px;
    max-height: 150px;
    margin: 30px;
    border: 5px solid #EEEEEE;
    border-top-color: #008A7A;
    border-radius: 50%;
    animation: spinning .4s linear infinite;
}

@-webkit-keyframes spinning {
    to {
      transform: rotate(1turn);
    }
}

@keyframes spinning {
    to {
      transform: rotate(1turn);
    }
}

/*////////////////////////
    AJUSTES CLASSES B4
///////////////////////*/
.bg-primary {
    background-color: var(--color_2) !important;
}

.bg-secondary {
    background-color: var(--background_2) !important;
}

.bg-transparent {
    background-color: var(--color_1_trans) !important;
}

.bg-dark {
    background-color: var(--background_3) !important;
}

.btn {
    font-weight: 600 !important;
    border: 1px solid var(--btn_border) !important;
    border-radius: var(--btn_radius);
    box-shadow: var(--btn_shadow) !important;
    padding-left: 2.1rem;
    padding-right: 2.1rem;
    transition: all .2s linear !important;
}

.btn-primary {
    background: var(--color_1) !important;
    color: var(--btn_color) !important;
}

.btn-secondary {
    color: var(--color_1)  !important;
    background: #f7f7f7;
}

.btn-outline-primary {
    background: transparent !important;
    outline: 2px solid var(--color_1) !important;
    color: var(--color_1) !important;
}

.btn-outline-secondary {
    background: transparent !important;
    outline: 2px solid var(--btn_color) !important;
    color: var(--btn_color) !important;
}

.btn.focus,
.btn:hover,
.btn:focus {
    background: var(--color_2) !important;
    color: var(--btn_color_hover) !important;
    border: 1px solid var(--btn_border) !important;
    box-shadow: var(--btn_shadow_hover) !important;
    outline: transparent !important;
}

.text-primary {
    color: var(--color_1) !important;
}

.text-dark {
    color: var(--color_lestras_1) !important;
}

.text-secondary,
a.text-primary:focus, 
a.text-primary:hover,
a.text-white:focus, 
a.text-white:hover,
a.text-dark:focus, 
a.text-dark:hover {
    color: var(--color_1) !important;
}

a.text-secondary:focus, 
a.text-secondary:hover {
    color: var(--color_1) !important;
}

.btn:not(:disabled):not(.disabled).active:focus, 
.btn:not(:disabled):not(.disabled):active:focus, 
.show>.btn.dropdown-toggle:focus, 
.btn:not(:disabled):not(.disabled):active, 
.show>.btn.dropdown-toggle,
.btn.focus, .btn:focus,
.form-control:focus,
.custom-control-input:focus~.custom-control-label::before {
    color: var(--color_lestras_1) !important;
    border-color: var(--color_1) !important;
    box-shadow: var(--btn_shadow_hover) !important;
}

.form-control {
    color: var(--color_lestras_1) !important;
    border-radius: var(--rounded);
    border: 1px solid var(--btn_border);
}

.form-control:focus::placeholder {
    color: var(--color_1) !important;
}

.form-control:focus + i {
    color: var(--color_1) !important;
}

.custom-control-input {
    z-index: -1 !important;
    opacity: 0 !important;
}

.custom-control-label::before,
.custom-control-label::after {
    width: 1.1rem !important;
    height: 1.1rem !important;
    top: 0 !important;
    border-radius: 20% !important;
    border: 1px solid var(--btn_border);
}

.custom-control-label::before {
    background: var(--background_2);
}

.custom-checkbox .custom-control-input:checked~.custom-control-label::before,
.custom-radio .custom-control-input:checked~.custom-control-label::before,
.custom-control-input:active~.custom-control-label::before {
    background: var(--color_1);
}

.border-top {
    border-top: 1px solid var(--boders)!important;
}

.rounded {
    border-radius: var(--rounded) !important;
}

.shadow {
    box-shadow: var(--shadow) !important;
}

.col-auto {
    max-width: 100% !important;
}

/*////////////////////////
    CSS UTILITÁRIOS
///////////////////////*/
.fw100 {
    font-weight: 100;
}

.fw200 {
    font-weight: 200;
}

.fw300 {
    font-weight: 300;
}

.fw400 {
    font-weight: 400;
}

.fw500 {
    font-weight: 500;
}

.fw600 {
    font-weight: 600;
}

.fw700 {
    font-weight: 700;
}

.fw800 {
    font-weight: 800;
}

.fw900 {
    font-weight: 900;
}

.uppercase {
    text-transform: uppercase;
}

.underline {
    text-decoration: underline !important;
}

.radius {
    border-radius: var(--btn_radius);
}

.background_img_1,
.background_img_2 {
    background-repeat: no-repeat;
    background-position: center;
}

.background_img_1 {
    background-size: cover;
}

.background_img_2 {
    background-size: auto 100%;
}

.overflow_h {
    overflow: hidden;
}

.inset {
    top: 0; bottom: 0; left: 0; right: 0;
    inset: 0;
}

/*////////////////////////
    CSS ADICIONAL
///////////////////////*/
.num {
    font-family: 'Roboto', sans-serif !important;
}

.btn_redes span {
    width: 0px;
    opacity: 0;
    transition: all 300ms ease;
    white-space: nowrap;
}

.btn_redes:hover span {
    opacity: 1;
}

.btn_redes:nth-child(1):hover span {
    width: 240px;
}

.btn_redes:nth-child(2):hover span,
.btn_redes:nth-child(3):hover span {
    width: 108px;
}

.titulo_p,
.titulo_s {
    position: relative;
}

.titulo_p  ul,
.titulo_s ul {
    width: 100%;
    position: absolute;
    left: 0;
    bottom: -1.3rem;
    padding: 0  !important;
    margin: 0 !important;
    display: flex;
    flex-direction: row;
}

.titulo_p  ul li,
.titulo_s ul li {
    display: inline-block;
    border-radius: 2px;
    height: 7px;
}

.titulo_p  ul li {
    background: var(--color_1);
}

.titulo_s  ul li {
    background: var(--color_lestras_2);
}

.titulo_p ul li:nth-child(1),
.titulo_s ul li:nth-child(1) {
    width: 100%;
    max-width: 80px;
}

.titulo_p ul li:nth-child(2),
.titulo_p ul li:nth-child(3),
.titulo_s ul li:nth-child(2),
.titulo_s ul li:nth-child(3) {
    margin-left: 5px;
    width: 10px;
}

#form_cadastro input {
    padding-left: 2.7rem !important;
}

#form_cadastro input,
#form_cadastro textarea {
    opacity: .8;
}

#form_cadastro input:focus,
#form_cadastro input:valid,
#form_cadastro textarea:focus,
#form_cadastro textarea:valid,
#form_cadastro.focus input,
#form_cadastro.focus textarea {
    opacity: 1;
}

#form_cadastro .form-row i {
    position: absolute;
    top: 0;
    bottom: 0;
    left: 1rem;
    display: flex;
    align-items: center;
}

#form_cadastro.focus {
    display: block;
    position: relative;
    z-index: 99999;
}

#form_cadastro.focus input,
#form_cadastro.focus textarea,
#form_cadastro.focus .custom-control-label::before, 
#form_cadastro.focus .custom-control-label::after  {
    -webkit-animation: focus_form 1s linear infinite;
    animation: focus_form 1s linear infinite;
}

@keyframes focus_form {
    0%   {
        box-shadow: 0 0 .5rem .1rem var(--color_2);
    }
    50% {
        box-shadow: 0 0 0px 2px transparent; 
    }
    100% {
        box-shadow: 0 0 .5rem .1rem var(--color_2);
    }
}

@-webkit-keyframes focus_form {
    0%   {
        box-shadow: 0 0 .5rem .1rem var(--color_2);
    }
    50% {
        box-shadow: 0 0 0px 2px transparent; 
    }
    100% {
        box-shadow: 0 0 .5rem .1rem var(--color_2);
    }
}

#inicio {
    background-image: url("./imagens/fundos/banner_inicio.jpg");
}

#section_agradecimento {
    background-image: url("./imagens/fundos/banner_agradecimento.jpg");
}

#section_dr {
    background-image: url("./imagens/fundos/fundo_dr.png");
}

#inicio::before,
#section_agradecimento::before,
#section_dr::before  {
    content: "";
    position: absolute;
    top: 0; left: 0; right: 0; bottom: 0;
    inset: 0;
    width: 100%;
    height: 100%;
    opacity: .8;
}

#inicio::before,
#section_agradecimento::before {
    background: var(--color_3);
}

#section_dr::before {
    background: var(--color_1);
}

#s2 {
    background-image: url("./imagens/apoio/atencao.svg");
    background-repeat: no-repeat;
    background-position: -10% center;
    background-size: auto 90%;
}

#img_dr {
    background-image: url("./imagens/apoio/foto_dr_danilo.png");
    background-size: cover;
}

.img_s1 {
    background-image: url("./imagens/apoio/img_s1.jpg");
    background-position: bottom;
}

.img_s2 {
    background-image: url("./imagens/apoio/img_s2.jpg");
}

.img_s3 {
    background-image: url("./imagens/apoio/img_s3_2.jpg");
    background-position: center;
}

#btns_fixos {
    position: fixed; 
    bottom: 0;
    right: 0; 
}

#btns_fixos a,
#btns_fixos button {
    --t: 4rem;

    width: var(--t);
    height: var(--t);
}

#whatsApp {
    background: #1bd741;
}

#btn_consulta {
    background: #0038d3;
}

#whatsApp:hover,
#btn_consulta:hover {
    background: var(--color_1);
}

i.fa-shake {
    -webkit-animation-duration: var(--fa-animation-duration, 2.5s);
            animation-duration: var(--fa-animation-duration, 2.5s);
}

#tela_envio {
    opacity: 1;
    z-index: 99999;
    transition: all .3s linear;
}

#tela_envio.sumir {
    opacity: 0;
}

#section_agradecimento {
    min-height: 100vh;
}

#section_agradecimento .animacao {
    width: 80vw;
    height: 80vw;
    max-width: 25rem;
    max-height: 25rem;
}

/*//////////////////////// 
    ANIMAÇOES DE APARECIMETO
////////////////////////*/

[data-anime] {
    opacity: 0;
    transition: opacity .3s linear, transform .3s linear;
}

[data-anime="top"] {
    transform: translate3d(0, -1rem, 0);
}

[data-anime="bottom"] {
    transform: translate3d(0, 1rem, 0);
}

[data-anime="left"] {
    transform: translate3d(-1rem, 0, 0);
}

[data-anime="right"] {
    transform: translate3d(1rem, 0, 0);
}

[data-anime].animate {
    opacity: 1;
    transform: inherit !important;
}

/*CSS ALTERAÇÕES*/

.destaque-whats{
    background-color: rgba(255,255,255,0.2);
    backdrop-filter: blur(5px);
    border-radius: 20px;
    color: white;
  
  }
  
  .destaque-whats h3{
    font-family: var(--fonte2);
    font-weight: bold;
    text-align: center;
    padding-bottom: 1rem;
  }
  
  @keyframes pulse {
    0% { transform: scale(1); }
    50% { transform: scale(1.1); }
    100% { transform: scale(1); }
  }
  
  .icone {
    animation: pulse 1s infinite;
    font-size: 90px;
    color: #00eb78;
  }

/*//////////////////////// 
        MIDIAS QUERYS
////////////////////////*/
@media (min-width: 992px) { /* CSS QUANDO . . . */
    #img_inicio {
        margin-bottom: -10rem;
        transform: translate3d(0, -2rem, 0);
    }

    #espaco_img_inicio {
        padding-bottom: 4rem;
    }

    .img_s3 {
        background-image: url("./imagens/apoio/img_s3.jpg");
        background-position: 25% 100%;
    }
}

@media (max-width: 992px) { /* CSS ATÉ . . . */
    #section_agradecimento {
        min-height: 100vh;
    }

    .img_p {
        min-height: 15rem;
    }

    #img_dr,
    .img_p.img_s3 {
        min-height: 30rem;
    }

    [data-anime="top"],
    [data-anime="right"],
    [data-anime="bottom"], 
    [data-anime="left"] {
        transform: translate3d(0, 4rem, 0);
    }
}

@media (max-width: 576px) {
    h1 {
        font-size: 2rem !important;
    }

    .btn {
        padding-left: 1rem;
        padding-right: 1rem;
    }

    .w100 {
        width: 100%;
    }
}